Index: libroaryiff/audiocd.c
===================================================================
--- libroaryiff/audiocd.c	(revision 3813)
+++ libroaryiff/audiocd.c	(revision 4037)
@@ -3,4 +3,10 @@
 /*
  *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+ *
+ *  The code (may) include prototypes and comments (and maybe
+ *  other code fragements) from the yiff sound system.
+ *  According to the debian/copyright file upstream author is
+ *  Tara Milana <learfox@twu.net>. Also copyright is listed as:
+ *  Copyright (C)  1997-2003 WolfPack Entertainment
  *
  *  This file is part of libroaryiff a part of RoarAudio,
@@ -21,4 +27,8 @@
  *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
  *  Boston, MA 02110-1301, USA.
+ *
+ * NOTE: code fragments (like prototypes) taken from the yiff package
+ *       are 'GPLv2 or later' and are upgraded to GPLv3 by being used
+ *       within this document.
  *
  */
Index: libroaryiff/connection.c
===================================================================
--- libroaryiff/connection.c	(revision 3832)
+++ libroaryiff/connection.c	(revision 4037)
@@ -3,4 +3,10 @@
 /*
  *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+ *
+ *  The code (may) include prototypes and comments (and maybe
+ *  other code fragements) from the yiff sound system.
+ *  According to the debian/copyright file upstream author is
+ *  Tara Milana <learfox@twu.net>. Also copyright is listed as:
+ *  Copyright (C)  1997-2003 WolfPack Entertainment
  *
  *  This file is part of libroaryiff a part of RoarAudio,
@@ -21,4 +27,8 @@
  *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
  *  Boston, MA 02110-1301, USA.
+ *
+ * NOTE: code fragments (like prototypes) taken from the yiff package
+ *       are 'GPLv2 or later' and are upgraded to GPLv3 by being used
+ *       within this document.
  *
  */
Index: libroaryiff/ctl.c
===================================================================
--- libroaryiff/ctl.c	(revision 3813)
+++ libroaryiff/ctl.c	(revision 4037)
@@ -3,4 +3,10 @@
 /*
  *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+ *
+ *  The code (may) include prototypes and comments (and maybe
+ *  other code fragements) from the yiff sound system.
+ *  According to the debian/copyright file upstream author is
+ *  Tara Milana <learfox@twu.net>. Also copyright is listed as:
+ *  Copyright (C)  1997-2003 WolfPack Entertainment
  *
  *  This file is part of libroaryiff a part of RoarAudio,
@@ -22,4 +28,8 @@
  *  Boston, MA 02110-1301, USA.
  *
+ * NOTE: code fragments (like prototypes) taken from the yiff package
+ *       are 'GPLv2 or later' and are upgraded to GPLv3 by being used
+ *       within this document.
+ *
  */
 
Index: libroaryiff/events.c
===================================================================
--- libroaryiff/events.c	(revision 3813)
+++ libroaryiff/events.c	(revision 4037)
@@ -3,4 +3,10 @@
 /*
  *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+ *
+ *  The code (may) include prototypes and comments (and maybe
+ *  other code fragements) from the yiff sound system.
+ *  According to the debian/copyright file upstream author is
+ *  Tara Milana <learfox@twu.net>. Also copyright is listed as:
+ *  Copyright (C)  1997-2003 WolfPack Entertainment
  *
  *  This file is part of libroaryiff a part of RoarAudio,
@@ -21,4 +27,8 @@
  *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
  *  Boston, MA 02110-1301, USA.
+ *
+ * NOTE: code fragments (like prototypes) taken from the yiff package
+ *       are 'GPLv2 or later' and are upgraded to GPLv3 by being used
+ *       within this document.
  *
  */
Index: libroaryiff/file.c
===================================================================
--- libroaryiff/file.c	(revision 3813)
+++ libroaryiff/file.c	(revision 4037)
@@ -3,4 +3,10 @@
 /*
  *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+ *
+ *  The code (may) include prototypes and comments (and maybe
+ *  other code fragements) from the yiff sound system.
+ *  According to the debian/copyright file upstream author is
+ *  Tara Milana <learfox@twu.net>. Also copyright is listed as:
+ *  Copyright (C)  1997-2003 WolfPack Entertainment
  *
  *  This file is part of libroaryiff a part of RoarAudio,
@@ -21,4 +27,8 @@
  *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
  *  Boston, MA 02110-1301, USA.
+ *
+ * NOTE: code fragments (like prototypes) taken from the yiff package
+ *       are 'GPLv2 or later' and are upgraded to GPLv3 by being used
+ *       within this document.
  *
  */
Index: libroaryiff/libroaryiff.c
===================================================================
--- libroaryiff/libroaryiff.c	(revision 3813)
+++ libroaryiff/libroaryiff.c	(revision 4037)
@@ -3,4 +3,10 @@
 /*
  *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+ *
+ *  The code (may) include prototypes and comments (and maybe
+ *  other code fragements) from the yiff sound system.
+ *  According to the debian/copyright file upstream author is
+ *  Tara Milana <learfox@twu.net>. Also copyright is listed as:
+ *  Copyright (C)  1997-2003 WolfPack Entertainment
  *
  *  This file is part of libroaryiff a part of RoarAudio,
@@ -22,4 +28,8 @@
  *  Boston, MA 02110-1301, USA.
  *
+ * NOTE: code fragments (like prototypes) taken from the yiff package
+ *       are 'GPLv2 or later' and are upgraded to GPLv3 by being used
+ *       within this document.
+ *
  */
 
Index: libroaryiff/playback.c
===================================================================
--- libroaryiff/playback.c	(revision 3813)
+++ libroaryiff/playback.c	(revision 4037)
@@ -3,4 +3,10 @@
 /*
  *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+ *
+ *  The code (may) include prototypes and comments (and maybe
+ *  other code fragements) from the yiff sound system.
+ *  According to the debian/copyright file upstream author is
+ *  Tara Milana <learfox@twu.net>. Also copyright is listed as:
+ *  Copyright (C)  1997-2003 WolfPack Entertainment
  *
  *  This file is part of libroaryiff a part of RoarAudio,
@@ -21,4 +27,8 @@
  *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
  *  Boston, MA 02110-1301, USA.
+ *
+ * NOTE: code fragments (like prototypes) taken from the yiff package
+ *       are 'GPLv2 or later' and are upgraded to GPLv3 by being used
+ *       within this document.
  *
  */
Index: libroaryiff/stub.c
===================================================================
--- libroaryiff/stub.c	(revision 3813)
+++ libroaryiff/stub.c	(revision 4037)
@@ -3,4 +3,10 @@
 /*
  *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+ *
+ *  The code (may) include prototypes and comments (and maybe
+ *  other code fragements) from the yiff sound system.
+ *  According to the debian/copyright file upstream author is
+ *  Tara Milana <learfox@twu.net>. Also copyright is listed as:
+ *  Copyright (C)  1997-2003 WolfPack Entertainment
  *
  *  This file is part of libroaryiff a part of RoarAudio,
@@ -22,4 +28,8 @@
  *  Boston, MA 02110-1301, USA.
  *
+ * NOTE: code fragments (like prototypes) taken from the yiff package
+ *       are 'GPLv2 or later' and are upgraded to GPLv3 by being used
+ *       within this document.
+ *
  */
 
